Memcached::touch
MemcachedException
Memcached
PHP Manual

# Memcached::touchByKey

(PECL memcached >= 2.0.0)

Memcached::touchByKey — Set a new expiration on an item on a specific server

### Descrição

public bool Memcached::touchByKey ( string `$server_key` , string `$key` , int `$expiration` )

Memcached::touchByKey() is functionally equivalent to Memcached::touch(), except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parâmetros

`server_key`

  A chave identificando o servidor aonde guardar o valor.

`key`

  A chave sobre a qual guardar o valor.

`expiration`

  O tempo de expiração, padrão é 0. Veja Tempos de Expiração para maiores informações.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha. Use Memcached::getResultCode() se necessário.

### Veja Também

- Memcached::touch() - Set a new expiration on an item

Memcached::touch
MemcachedException
Memcached
PHP Manual